Bug 1127681 - Fix PR61801 in GCC 4.8-RH
Summary: Fix PR61801 in GCC 4.8-RH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gcc
Version: 7.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Jakub Jelinek
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On: 1127120
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 10:42 UTC by Jan Kurik
Modified: 2014-08-22 13:51 UTC (History)
8 users (show)

Fixed In Version: gcc-4.8.2-16.2.el7_0
Doc Type: Bug Fix
Doc Text:
Previously, the instruction scheduling pass treated debug instructions with volatile inline assembly as a barrier. As a consequence, GCC could miscompile certain programs containing inline assembly when using the "-g" option to generate the debug info. A fix to the instruction scheduler has been applied, and the code is now compiled correctly.
Clone Of: 1127120
Environment:
Last Closed: 2014-08-18 09:52:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1071 normal SHIPPED_LIVE gcc bug fix and enhancement update 2014-08-18 13:52:19 UTC

Description Jan Kurik 2014-08-07 10:42:42 UTC
This bug has been copied from bug #1127120 and has been proposed
to be backported to 7.0 z-stream (EUS).

Comment 7 errata-xmlrpc 2014-08-18 09:52:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1071.html


Note You need to log in before you can comment on or make changes to this bug.